OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
Diagnose< GridT > Class Template Reference

Performs multithreaded diagnostics of a grid. More...

`#include <Diagnostics.h>`

## Public Types
using | MaskType = typename GridT::template ValueConverter< bool >::Type

## Public Member Functions
| Diagnose (const GridT &grid)
template<typename CheckT >
std::string | check (const CheckT &check, bool updateMask=false, bool checkVoxels=true, bool checkTiles=true, bool checkBackground=true)
Index64 | valueCount () const
| Return the number of values (i.e. background, tiles or voxels) that have failed one or more checks. More...
Index64 | failureCount () const
| Return total number of failed checks. More...
const GridT & | grid () const
| Return a const reference to the grid. More...
void | clear ()
| Clear the mask and error counter. More...
MaskType::ConstPtr | mask () const
| Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks. More...
MaskType::Ptr | mask ()
| Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks. More...

## Detailed Description

### template<typename GridT>
class openvdb::v5_1::tools::Diagnose< GridT >

Performs multithreaded diagnostics of a grid.

Note
  More documentation will be added soon!

## Member Typedef Documentation

## ◆ MaskType

using MaskType = typename GridT::template ValueConverter<bool>::Type

## Constructor & Destructor Documentation

## ◆ Diagnose()

Diagnose | ( | const GridT & | grid | ) |
| inline

## Member Function Documentation

## ◆ check()

std::string check | ( | const CheckT & | check,
|  | bool | updateMask = `false`,
|  | bool | checkVoxels = `true`,
|  | bool | checkTiles = `true`,
|  | bool | checkBackground = `true`
| ) |  |
| inline

## ◆ clear()

void clear | ( |  | ) |
| inline

Clear the mask and error counter.

## ◆ failureCount()

Index64 failureCount | ( |  | ) | const
| inline

Return total number of failed checks.

Note
  If only one check was performed and the mask was updated failureCount equals valueCount.

## ◆ grid()

const GridT& grid | ( |  | ) | const
| inline

Return a const reference to the grid.

## ◆ mask() [1/2]

MaskType::ConstPtr mask | ( |  | ) | const
| inline

Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks.

## ◆ mask() [2/2]

MaskType::Ptr mask | ( |  | ) |
| inline

Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks.

## ◆ valueCount()

Index64 valueCount | ( |  | ) | const
| inline

Return the number of values (i.e. background, tiles or voxels) that have failed one or more checks.

The documentation for this class was generated from the following file:

- Diagnostics.h